routes/web.php
<?php

use App\Http\Controllers\HomeController;
use App\Http\Controllers\TiendaController;
use App\Http\Controllers\ProductoController;
use App\Http\Controllers\ProductotiendaController;
use Illuminate\Support\Facades\Route;

Route::controller(HomeController::class)->group(function () {
    Route::get('/', 'index')->name('index');
    Route::get('/index', 'index')->name('home.index');
});

Route::resource('tienda', TiendaController::class);
Route::resource('producto', ProductoController::class);
Route::resource('productoTienda', ProductotiendaController::class);

app/Models/Tienda.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Support\Facades\Schema;

class Tienda extends Model {
    use HasFactory;

    protected $table = 'tiendas';
    protected $fillable = [
        'nombre',
        'ubicacion',
    ];

    public function getFields() {
        return Schema::getColumnListing($this->table);
    }

    public static $labels = [
        'id' => 'ID Tienda',
        'nombre' => 'Nombre Tienda',
        'ubicacion' => 'Ubicación Tienda',
    ];

    public function productotiendas() : HasMany {
        return $this->hasMany(Productotienda::class);
    }

    public function getAttributeLabel($attribute) {
        return self::$labels[$attribute] ?? $attribute;
    }
}

app/Http/Controllers/TiendaController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\TiendaRequest;
use App\Models\Tienda;
use Illuminate\Http\Request;

class TiendaController extends Controller {
    /**
     * Display a listing of the resource.
     */
    public function index() {
        $tiendas = Tienda::paginate(15);

        return view('tienda.index', compact('tiendas'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create() {
        return view('tienda.create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(TiendaRequest $request) {
        $tienda = Tienda::create($request->all());
        
        return redirect()
            ->route('tienda.show', $tienda->id)
            ->with('mensaje', 'Tienda creada con éxito')
        ;
    }

    /**
     * Display the specified resource.
     */
    public function show(int $id) {
        $tienda = Tienda::find($id);

        return view('tienda.show', compact('tienda'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(int $id) {
        $tienda = Tienda::find($id);

        return view('tienda.edit', compact('tienda'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(TiendaRequest $request, Tienda $tienda) {
        $tienda->update($request->all());

        return redirect()
            ->route('tienda.show', $tienda->id)
            ->with('mensaje', 'Tienda actualizada con éxito');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Tienda $tienda) {
        $tienda->delete();
        
        return redirect()
            ->route('tienda.index')
            ->with('mensaje', 'Tienda borrada con éxito')
        ;
    }
}

resources/views/tienda/create.blade.php
@extends('layouts.main')

@section('titulo', 'Crear Tienda')

@section('cabecera')
    <x-cabecera subTitulo="">
        <i class="fa-solid fa-cart-shopping"></i> Crear Tienda
    </x-cabecera>
@endsection

@section('contenido')
    <x-formularios.formulario :errors="$errors" route="{{ route('tienda.store') }}">
        <x-formularios.input type="text" label="Nombre" name="nombre" :value="old('nombre')"/>
        <x-formularios.input type="text" label="Ubicacion" name="ubicacion" :value="old('ubicacion')"/>
    </x-formularios.formulario>
@endsection

resources/views/tienda/edit.blade.php
@extends('layouts.main')

@section('titulo', 'Editar Tienda')

@section('contenido')
    <ul class="nav nav-tabs mb-5">
        <li class="nav-item">
            <a class="nav-link" aria-current="page" href="{{ route('tienda.show', $tienda->id) }}">Cliente {{ $tienda->id }}</a>
        </li>

        <li class="nav-item">
            <a class="nav-link active disabled" aria-disabled="true" href="{{ route('tienda.edit', $tienda->id) }}">Editar Cliente</a>
        </li>
        
        <li class="nav-item" style="margin-left: auto;">
            <a class="nav-link" aria-current="page" href="{{ route('tienda.show', $tienda->id) }}">Volver</a>
        </li>
    </ul>

    @if (session('mensaje'))
        <div class="card gradient-for-card-se mb-4">
            <div class="card-body text-center" style="background-color: #0e1321">
                <p class="card-text lead fs-4">{{ session('mensaje') }} </p>
            </div>
        </div>
    @endif

    <x-formularios.formulario :modelo="$tienda" :errors="$errors" method="PUT" route="{{ route('tienda.update', $tienda->id) }}">
        <x-formularios.input type="text" label="Nombre" name="nombre" :value="old('nombre', $tienda->nombre)"/>
        <x-formularios.input type="text" label="Ubicacion" name="ubicacion" :value="old('ubicacion', $tienda->ubicacion)"/>
    </x-formularios.formulario>
@endsection

resources/views/tienda/index.blade.php
@extends('layouts.main')

@section('titulo', 'Tiendas')

@section('cabecera')
    <x-cabecera subTitulo="Listado de Tiendas">
        <i class="fa-solid fa-cart-shopping"></i> Listado de Tiendas
    </x-cabecera>
@endsection

@section('contenido')

@if (session('mensaje'))
    <div class="card gradient-for-card-se mb-2">
        <div class="card-body text-center" style="background-color: #0e1321">
            <p class="card-text lead fs-4"> {{ session('mensaje') }} </p>
        </div>
    </div>
@endif

<x-listView  :registros="$tiendas" modelo="tienda" :campos="['id', 'nombre', 'ubicacion']" />

@endsection

resources/views/tienda/index2.blade.php
@extends('layouts.main')

@section('titulo', 'Tiendas')

@section('contenido')

@if (session('mensaje'))
    <div class="card gradient-for-card-se mb-2">
        <div class="card-body text-center" style="background-color: #0e1321">
            <p class="card-text lead fs-4"> {{ session('mensaje') }} </p>
        </div>
    </div>
@endif

<div class="row">
    <h1 class="text-gradient-secondary text-center">Listado de Tiendas</h1>
    @foreach ($tiendas as $tienda)
    <div class="col-lg-12 mb-sm-0">
        <div class="card listadoTarjetaCliente" style="padding: 0.25rem">
            <div class="card-body d-flex align-items-center">
                <div class="col-lg-1 mb-sm-0">
                    <a href="{{ route('tienda.show', $tienda->id) }}"><i class="fa-solid fa-store fa-2x profile-pic text-gradient-primary"></i></a>
                </div>

                <div class="col-lg-8">
                    <h4 class="card-title font-italic nombreListadoCliente">{{ $tienda->nombre }}</h4>
                </div>

                <div class="col-lg-3 d-flex justify-content-end align-items-center">
                    <div>
                        <a class="btn btn-outline-primary" href="{{ route('tienda.show', $tienda->id) }}" role="button">Ver</a>
                        <a class="btn btn-outline-success" href="{{ route('tienda.edit', $tienda->id) }}" role="button">Editar</a>
                    </div>
                
                    <form action="{{ route('tienda.destroy', $tienda)}}" method="POST">
                        @csrf @method('DELETE')
                        <button type="submit" class="btn btn-outline-danger mx-1">Borrar</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    @endforeach
</div>

<div class="row mt-3">
    {{-- Es el paginador --}}
    {{ $tiendas->links() }}
</div>
@endsection

resources/views/tienda/show.blade.php
@extends('layouts.main')

@section('titulo', 'Mostrar')

@section('contenido')
<div class="row">
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link active disabled" aria-disabled="true">Tienda {{ $tienda->id }}</a>
        </li>
    
        <li class="nav-item">
            <a class="nav-link" href="{{ route('tienda.edit', $tienda->id) }}">Editar Cliente</a>
        </li>
        
        <li class="nav-item" style="margin-left: auto;">
            <a class="nav-link" aria-current="page" href="{{ route('tienda.index') }}">Volver</a>
        </li>
    </ul>

    @if (session('mensaje'))
        <div class="card gradient-for-card-se mt-4">
            <div class="card-body text-center" style="background-color: #0e1321">
                <p class="card-text lead fs-4"> {{ session('mensaje') }} </p>
            </div>
        </div>
    @endif
    
    <div class="col-lg-10 my-4 mb-sm-0 offset-lg-1">
        <div class="card text-center listadoTarjetaCliente">
            <div class="card-header">
                <span class="fs-3 text-center text-is-gradient">Tienda {{ $tienda->id }}</span>
            </div>

            <div class="card-body text-center">
                <i class="fa-solid fa-store fa-5x profile-pic text-gradient-primary mb-2"></i>
                <h4 class="card-title font-italic nombreListadoCliente my-4">{{ $tienda->nombre }}</h4>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="list-group">
                            <div class="list-group-item d-flex justify-content-between align-items-center p-3">
                                <span class="fw-bold text-uppercase">Ubicación:</span>
                                <span class="ms-auto">{{ $tienda->ubicacion }}</span>
                            </div>
                            
                        </div>
                    </div>
                </div>

                <div class="my-4 d-flex justify-content-center align-items-center">
                    <a class="btn btn-outline-success me-2" href="{{ route('tienda.edit', $tienda->id) }}" role="button">Editar</a>
                    
                    <form action="{{ route('tienda.destroy', $tienda)}}" method="POST">
                        @csrf @method('DELETE')
                        <button type="submit" class="btn btn-outline-danger">Borrar</button>
                    </form>      
                </div>
            </div>
        </div>
        <div class="gradient-for-card-tb"></div>
    </div>
</div>
@endsection